## PkError PkError — ErrorCode object |

## Synopsis

                        PkErrorPrivate;
                        PkError;
                        PkErrorClass;
    PkError *           pk_error_new                        (void);
    PkErrorEnum         pk_error_get_code                   (PkError *error_code);
    const gchar *       pk_error_get_details                (PkError *error_code);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkError

## Properties

      "code"                     guint                 : Read / Write
      "details"                  gchar*                : Read / Write

## Description

This GObject represents a error_code from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### PkErrorPrivate

    typedef struct _PkErrorPrivate PkErrorPrivate;

Private PkError data

### PkError

    typedef struct _PkError PkError;

### PkErrorClass

    typedef struct {
    	PkSourceClass parent_class;
    	/* padding for future expansion */
    	void (*_pk_reserved1) (void);
    	void (*_pk_reserved2) (void);
    	void (*_pk_reserved3) (void);
    	void (*_pk_reserved4) (void);
    	void (*_pk_reserved5) (void);
    } PkErrorClass;

### pk_error_new ()

    PkError *           pk_error_new                        (void);

Returns : | a new PkError object.

Since 0.5.5

### pk_error_get_code ()

    PkErrorEnum         pk_error_get_code                   (PkError *error_code);

`error_code` : |
Returns : |

Since 0.5.5

### pk_error_get_details ()

    const gchar *       pk_error_get_details                (PkError *error_code);

`error_code` : |
Returns : |

Since 0.5.5

## Property Details

### The `"code"` property

      "code"                     guint                 : Read / Write

Default value: 0

Since 0.5.5

### The `"details"` property

      "details"                  gchar*                : Read / Write

Default value: NULL

Since 0.5.5